Page MenuHomePhabricator

numbers of bytes added and removed in changes lists can be jumbled in mixed rtl/ltr environments especially in Flow
Closed, ResolvedPublic

Description

Numbers of bytes added and removed in changes lists can be jumbled in mixed rtl/ltr environments especially in Flow. Isolation is needed. See screenshot.

Note how in some lines the numbers in parentheses are supposed to be in the end of the line, but they get into the middle of the Flow topic name.

This is similar to T93336, but needs isolation (I'm not sure why doesn't unicode-bidi: embed work).

Event Timeline

Amire80 created this task.Mar 21 2015, 8:41 PM
Amire80 claimed this task.
Amire80 raised the priority of this task from to Low.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2015, 8:41 PM
Amire80 updated the task description. (Show Details)Mar 21 2015, 8:44 PM
Amire80 set Security to None.
Amire80 added subscribers: eranroz, DannyH.

Change 198534 had a related patch set uploaded (by Amire80):
Bidi-isolate numbers of added/removed bytes in changes lists

https://gerrit.wikimedia.org/r/198534

Amire80 updated the task description. (Show Details)Mar 21 2015, 8:48 PM
matmarex closed this task as Resolved.Mar 22 2015, 11:36 AM
matmarex removed a project: Patch-For-Review.

Change 198534 merged by jenkins-bot:
Bidi-isolate numbers of added/removed bytes in changes lists

https://gerrit.wikimedia.org/r/198534

Amire80 moved this task from Backlog to Done on the LE-Sprint-84 board.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 2 2015, 2:20 PM